Bug 496338 - sata_mv: Fix chip type for Highpoint RocketRaid 1740/1742
sata_mv: Fix chip type for Highpoint RocketRaid 1740/1742
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.3
All Linux
low Severity medium
: ---
: ---
Assigned To: David Milburn
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-17 17:38 EDT by David Milburn
Modified: 2009-09-02 04:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 04:56:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to add RocketRaid 1720 and fix chip type for 1740/1742 (764 bytes, patch)
2009-04-17 17:41 EDT, David Milburn
no flags Details | Diff

  None (edit)
Description David Milburn 2009-04-17 17:38:11 EDT
Highpoint RocketRAID 1740 and 1742 PCI cards use the 6042 chip rather
than the 5081 chip.

commit 4462254ac6be9150aae87d54d388fc348d6fcead
Author: Mark Lord <liml@rtr.ca>
Date:   Tue Jan 27 16:33:13 2009 -0500

    sata_mv: Fix chip type for Hightpoint RocketRaid 1740/1742

    Fix chip type for the Highpoint RocketRAID 1740 and 1742 PCI cards.
    These really do have Marvell 6042 chips on them, rather than the 5081 chip.

    Confirmed by multiple (two) users (for the 1740), and by examining
    the product photographs from Highpoint's web site.

    Signed-off-by: Mark Lord <mlord@pobox.com>
    Signed-off-by: Jeff Garzik <jgarzik@redhat.com>
Comment 1 David Milburn 2009-04-17 17:41:18 EDT
Created attachment 340098 [details]
Patch to add RocketRaid 1720 and fix chip type for 1740/1742

Upstream commits

commit 46c5784c8fa736c2bb42fe681189b86e99abdc2e
Author: Mark Lord <liml@rtr.ca>
Date:   Thu Sep 4 18:21:07 2008 -0400

    sata_mv: add RocketRaid 1720 PCI ID to driver

    Signed-off-by: Petr Jelen <petr.jelen@gmail.com>
    Signed-off-by: Mark Lord <mlord@pobox.com>
    Signed-off-by: Jeff Garzik <jgarzik@redhat.com>

commit 4462254ac6be9150aae87d54d388fc348d6fcead
Author: Mark Lord <liml@rtr.ca>
Date:   Tue Jan 27 16:33:13 2009 -0500

    sata_mv: Fix chip type for Hightpoint RocketRaid 1740/1742

    Fix chip type for the Highpoint RocketRAID 1740 and 1742 PCI cards.
    These really do have Marvell 6042 chips on them, rather than the 5081 chip.

    Confirmed by multiple (two) users (for the 1740), and by examining
    the product photographs from Highpoint's web site.

    Signed-off-by: Mark Lord <mlord@pobox.com>
    Signed-off-by: Jeff Garzik <jgarzik@redhat.com>
Comment 3 RHEL Product and Program Management 2009-04-21 15:08:51 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 Don Zickus 2009-04-27 12:00:46 EDT
in kernel-2.6.18-141.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 7 errata-xmlrpc 2009-09-02 04:56:36 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1243.html

Note You need to log in before you can comment on or make changes to this bug.